# eric7.Plugins.UiExtensionPlugins.Translator.TranslatorEngines.__init__

Package containing the various translation engines.

### Global Attributes

None

### Classes

None

### Functions

engineDisplayName | Module function to get a translated name for an engine.
getEngineIcon | Module function to get the icon of the named engine.
getKeyUrl | Module function to get an URL to request a user key.
getTranslationEngine | Module function to instantiate an engine object for the named service.
supportedEngineNames | Module function to get the list of supported translation engines.

## engineDisplayName

engineDisplayName(name)

Module function to get a translated name for an engine.

name
  name of a translation engine (string)

Return:
  translated engine name (string)

Up

## getEngineIcon

getEngineIcon(name)

Module function to get the icon of the named engine.

name (str)
  name of the translation engine

Return:
  engine icon

Return Type:
  QIcon

Up

## getKeyUrl

getKeyUrl(name)

Module function to get an URL to request a user key.

name
  name of the online translation service (string)

Return:
  key request URL (string)

Up

## getTranslationEngine

getTranslationEngine(name, plugin, parent=None)

Module function to instantiate an engine object for the named service.

name
  name of the online translation service (string)
plugin
  reference to the plugin object (TranslatorPlugin)
parent
  reference to the parent object

Return:
  translation engine (TranslatorEngine)

Up

## supportedEngineNames

supportedEngineNames()

Module function to get the list of supported translation engines.

Return:
  names of supported engines (list of string)

Up